CREATE DATABASE pimppa;

# MySQL dump 6.0
#
# Host: localhost    Database: pimppa
#--------------------------------------------------------
# Server version	3.22.25

USE pimppa;

#
# Table structure for table 'p_areas'
#
CREATE TABLE p_areas (
  area_id mediumint(8) unsigned DEFAULT '0' NOT NULL auto_increment,
  area_name varchar(50) DEFAULT '' NOT NULL,
  area_path varchar(255) DEFAULT '' NOT NULL,
  area_flags tinyint(3) unsigned DEFAULT '0' NOT NULL,
  area_targets text NOT NULL,
  PRIMARY KEY (area_id),
  UNIQUE unique_area_name (area_name),
  UNIQUE unique_area_path (area_path)
);

#
# Table structure for table 'p_assign'
#
CREATE TABLE p_assign (
  a_pattern varchar(50) DEFAULT '' NOT NULL,
  a_dest mediumint(8) DEFAULT '0' NOT NULL,
  PRIMARY KEY (a_pattern)
);

#
# Table structure for table 'p_files'
#
CREATE TABLE p_files (
  file_id int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
  file_name varchar(128) DEFAULT '' NOT NULL,
  file_size int(10) unsigned DEFAULT '0' NOT NULL,
  file_area mediumint(8) unsigned DEFAULT '0' NOT NULL,
  file_integ tinyint(4) DEFAULT '0' NOT NULL,
  file_trans tinyint(4) DEFAULT '0' NOT NULL,
  file_date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
  file_backup tinyint(4) unsigned DEFAULT '0' NOT NULL,
  file_desc text NOT NULL,
  file_flags tinyint(4) unsigned DEFAULT '0' NOT NULL,
  PRIMARY KEY (file_id),
  KEY index_file_name (file_name),
  KEY index_file_area (file_area),
  KEY index_file_date (file_date),
  UNIQUE unique_file (file_name,file_area)
);

#
# Table structure for table 'p_groups'
#
CREATE TABLE p_groups (
  g_name varchar(255) DEFAULT '' NOT NULL,
  g_last int(10) unsigned DEFAULT '0' NOT NULL,
  g_flags mediumint(9) DEFAULT '0' NOT NULL,
  g_dest mediumint(9) DEFAULT '0' NOT NULL,
  g_secondary text NOT NULL,
  PRIMARY KEY (g_name)
);

#
# Table structure for table 'p_misc'
#
CREATE TABLE p_misc (
  misc_key varchar(32) DEFAULT '' NOT NULL,
  misc_data text NOT NULL,
  PRIMARY KEY (misc_key)
);

#
# Table structure for table 'p_types'
#
CREATE TABLE p_types (
  type_ext varchar(8) DEFAULT '' NOT NULL,
  type_testcmd varchar(255) DEFAULT '' NOT NULL,
  type_testpos tinyint(4) DEFAULT '0' NOT NULL,
  type_testokstr varchar(32) DEFAULT '' NOT NULL,
  type_transcmd varchar(255) DEFAULT '' NOT NULL,
  type_transto varchar(8) DEFAULT '' NOT NULL,
  PRIMARY KEY (type_ext)
);

USE mysql;

INSERT INTO user (Host, User)
				VALUES ("localhost", "pimppa");
INSERT INTO db (Host, Db,User,Select_priv, Insert_priv,
				Update_priv,Delete_priv,Create_priv) VALUES
				("localhost", "pimppa", "pimppa", 'Y','Y',
				'Y','Y','Y');


